### Function

# Ide Vcs ref_from_context

#### Declaration

    IdeVcs*
    ide_vcs_ref_from_context (
      IdeContext* context
    )

#### Description

A thread-safe version of ide_vcs_from_context().

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeVcs`
| An `IdeVcs`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.